$lineHeight:22px;
.pt-o-game-7 {
  display: flex;
  flex-direction: column;

  &__left {
    width: 100%;
    max-height: 30%;
    flex: none;
    padding-bottom: 2rem;

    & > .__container {
      width: 100%;
      height: 100%;

      & > .pt-o-block-cloud__container {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 1rem 4rem;

        & > .__box {
          width: auto;
          height: 100%;
          max-width: 100%;
          min-height: 0;
          padding: 10px;
          background: $sunglow;
          border-radius: 1.2rem;
          display: flex;
          align-items: flex-start;
          justify-content: center;
          position: relative;
          text-align: center;
          overflow: auto;

          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }

          &::before {
            width: 100%;
            height: auto;
            background: radial-gradient(
              transparent,
              rgba($color: $white, $alpha: 0.9)
            );
            border-radius: 1.2rem;
            content: '';
            opacity: 1;
            position: absolute;
            top: 0;
            left: 0;
            z-index: 1;
          }

          & > .__text {
            color: $gunPowder;
            font-family: 'mont_b';
            font-size: 2rem;
            line-height: $lineHeight;
            position: relative;
            z-index: 2;

            .__space {
              width: 8rem;
              height: 2.2rem;
              margin: 0 0.5rem;
              border-bottom: 0.2rem solid #4b4a5c;
              display: inline-block;
            }
          }
        }
      }
    }
  }

  &__right {
    width: 100%;
    max-height: 70%;
    flex: 4;

    & > .__container {
      padding: 1.8rem 1.8rem 2.4rem 1.8rem;
      display: flex;
      flex-direction: column;
      height: 100%;

      & > .__header {
        padding: 0.6rem 1.6rem;

        & > .__description {
          color: $gunPowder;
          font-family: 'mont_m';
          font-size: 1.8rem;
          line-height: $lineHeight;
          text-align: center;
        }
      }

      & > .__content {
        display: flex;
        flex: 1;
        flex-direction: column;

        & > .__hint {
          margin: 0 0 1.6rem 0;
          display: flex;

          & > .__icon {
            width: 3.2rem;
            height: 3.2rem;
            margin: 0 1rem 0 0;
          }

          & > .__text {
            color: $lightSkyBlue;
            font-family: 'mont_sb';
            font-size: 1.8rem;
            line-height: $lineHeight;
          }
        }

        & > .__textarea {
          flex: 1;

          .__textarea-box {
            width: 100%;
            height: 100%;
            padding: 2rem;
            background: $aliceBlue;
            border: none;
            border-radius: 1.2rem;
            color: $dodgerBlue;
            font-family: 'mont_m';
            font-size: 1.8rem;
            line-height: $lineHeight;
            resize: none;

            &.--danger {
              color: $salmon;
            }

            &.--success {
              color: $limeGreen;
            }

            &::placeholder {
              color: $cornflower;
            }
          }
          .__textarea-box::-webkit-scrollbar{
            width: 6px;
            border-radius: 3px;
            cursor: pointer;
          }
          .__textarea-box::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 3px;
            // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
          }
          .__textarea-box::-webkit-scrollbar-thumb {
            background: #d4e9ff !important;
            border-radius: 3px;
          }
        }
      }
    }
  }
}

@media only screen  and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
  .pt-o-game-7 {
    flex-direction: column;
    overflow: auto;
    &__left {
      width: 100%;
      max-height: 35%;
      & > .__container {
        min-height: 0;
        height: 100%;
        & > .pt-o-block-cloud__container {
          padding: 1rem 2rem;
          height: 100%;
          & > .__box {
            height: 100%;
            width: auto;
            padding: 10px 20px;
            border-radius: 1.2rem;
            align-items: flex-start;
            overflow-y: auto;

            & > .__text {
              color: $gunPowder;
              font-size: 2rem;
            }
          }
        }
      }
    }
    &__right {
      width: 100%;
      max-height: 65%;
      & > .__container {
        & > .__header {
          & > .__description {
            font-size: 1.6rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__hint {
            margin: 0 0 1.6rem 0;
            display: flex;

            & > .__icon {
              width: 3rem;
              height: 3rem;
              margin: 0 1rem 0 0;
            }

            & > .__text {
              font-size: 1.6rem;
              line-height: $lineHeight;
            }
          }

          & > .__textarea {
            flex: 1;

            .__textarea-box {
              font-size: 1.6rem;
              line-height: $lineHeight;
            }
          }
        }
      }
    }
  }
}

@include screen-1024-landscape {
  .pt-o-game-7 {
    flex-direction: column;
    overflow: auto;
    &__left {
      width: 100%;
      height: auto;
      max-height: unset;
      padding-bottom: 1rem;
      & > .__container {
        min-height: 0;
        & > .pt-o-block-cloud__container {
          padding: 1rem 2rem;
          & > .__box {
            width: auto;
            padding: 10px 20px;
            border-radius: 1.2rem;

            & > .__text {
              color: $gunPowder;
              font-size: 1.6rem;
            }
          }
        }
      }
    }
    &__right {
      width: 100%;
      max-height: unset;
      height: unset;
      & > .__container {
        & > .__header {
          & > .__description {
            font-size: 1.6rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__hint {
            margin: 0 0 1.6rem 0;
            display: flex;

            & > .__icon {
              width: 3rem;
              height: 3rem;
              margin: 0 1rem 0 0;
            }

            & > .__text {
              font-size: 1.6rem;
              line-height: $lineHeight;
            }
          }

          & > .__textarea {
            flex: 1;

            .__textarea-box {
              font-size: 1.6rem;
              line-height: $lineHeight;
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 960) and (max-aspect-ratio:3999/3000){
  .pt-o-game-7 {
    flex-direction: column;
    overflow: auto;
    &__left {
      width: 100%;
      height: auto;
      padding-bottom: 0.5rem;
      & > .__container {
        & > .pt-o-block-cloud__container {
          padding: 1rem 2rem;
          & > .__box {
            width: auto;
            padding: 5px 10px;
            border-radius: 1.2rem;

            & > .__text {
              color: $gunPowder;
              font-size: 1.6rem;
            }
          }
        }
      }
    }
    &__right {
      width: 100%;
      margin-left: 0;
      & > .__container {
        & > .__header {
          & > .__description {
            font-size: 1.6rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__hint {
            margin: 0 0 1.6rem 0;
            display: flex;

            & > .__icon {
              width: 2.4rem;
              height: 2.4rem;
              margin: 0 1rem 0 0;
            }

            & > .__text {
              font-size: 1.6rem;
              line-height: $lineHeight;
            }
          }

          & > .__textarea {
            flex: 1;

            .__textarea-box {
              font-size: 1.6rem;
              line-height: $lineHeight;
            }
          }
        }
      }
    }
  }
}
@include screen-960-landscape  {
  .pt-o-game-7 {
    flex-direction: column;
    overflow: auto;
    &__left {
      width: 100%;
      height: auto;
      & > .__container {
        & > .pt-o-block-cloud__container {
          padding: 1rem 2rem;
          & > .__box {
            width: auto;
            padding: 5px 10px;
            border-radius: 1.2rem;

            & > .__text {
              color: $gunPowder;
              font-size: 1.4rem;
            }
          }
        }
      }
    }
    &__right {
      width: 100%;
      margin-left: 0;
      & > .__container {
        padding: 1rem 1rem 1.6rem;
        & > .__header {
          margin: 0;
          & > .__description {
            font-size: 1.4rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__hint {
            margin: 0 0 1.6rem 0;
            display: flex;

            & > .__icon {
              width: 2.4rem;
              height: 2.4rem;
              margin: 0 1rem 0 0;
            }

            & > .__text {
              font-size: 1.4rem;
              line-height: $lineHeight;
            }
          }

          & > .__textarea {
            flex: 1;

            .__textarea-box {
              font-size: 1.2rem;
              line-height: $lineHeight;
              padding: 1rem 2rem;
              height: 10rem;
            }
          }
        }
      }
    }
  }
}
@include screen-768-landscape  {
  .pt-o-game-7 {
    flex-direction: column;
    overflow: auto;
    &__left {
      width: 100%;
      height: auto;
      max-height: unset;
      & > .__container {
        & > .pt-o-block-cloud__container {
          padding: 1rem 2rem;
          & > .__box {
            width: auto;
            padding: 5px 10px;
            border-radius: 1.2rem;

            & > .__text {
              color: $gunPowder;
              font-size: 1.4rem;
            }
          }
        }
      }
    }
    &__right {
      width: 100%;
      margin-left: 0;
      max-height: unset;
      & > .__container {
        & > .__header {
          & > .__description {
            font-size: 1.4rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__hint {
            margin: 0 0 1.6rem 0;
            display: flex;

            & > .__icon {
              width: 2.4rem;
              height: 2.4rem;
              margin: 0 1rem 0 0;
            }

            & > .__text {
              font-size: 1.4rem;
              line-height: $lineHeight;
            }
          }

          & > .__textarea {
            flex: 1;

            .__textarea-box {
              font-size: 1.2rem;
              line-height: $lineHeight;
            }
          }
        }
      }
    }
  }
}
@include screen-mobile-portrait{
  .pt-o-game-7 {
    flex-direction: column;
    overflow: auto;
    &__left {
      width: 100%;
      padding-bottom: 0.5rem;
      & > .__container {
        & > .pt-o-block-cloud__container {
          padding: 1rem 2rem;
          & > .__box {
            width: auto;
            padding: 5px 10px;
            border-radius: 1.2rem;

            & > .__text {
              color: $gunPowder;
              font-size: 1.4rem;
            }
          }
        }
      }
    }
    &__right {
      width: 100%;
      margin-left: 0;
      & > .__container {
        padding: 1rem 1rem 1.6rem;
        & > .__header {
          & > .__description {
            font-size: 1.4rem;
          }
        }
        & > .__content {
          margin: 0;
          & > .__hint {
            margin: 0 0 1.6rem 0;
            display: flex;

            & > .__icon {
              width: 2.4rem;
              height: 2.4rem;
              margin: 0 1rem 0 0;
            }

            & > .__text {
              font-size: 1.4rem;
              line-height: $lineHeight;
            }
          }

          & > .__textarea {
            flex: 1;

            .__textarea-box {
              font-size: 1.2rem;
              line-height: $lineHeight;
            }
          }
        }
      }
    }
  }
}